NullMetricsProvider.NullMetricsContext (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.metrics.impl

## Class NullMetricsProvider.NullMetricsContext

- java.lang.Object
- - org.apache.zookeeper.metrics.impl.NullMetricsProvider.NullMetricsContext

- All Implemented Interfaces:
    MetricsContext
  Enclosing class:
    NullMetricsProvider

      public static final class NullMetricsProvider.NullMetricsContext
      extends Object
      implements MetricsContext

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.zookeeper.metrics.MetricsContext

      `MetricsContext.DetailLevel`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static NullMetricsProvider.NullMetricsContext` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullMetricsContext()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MetricsContext` | `getContext(String name)` Returns a sub context.
    `Counter` | `getCounter(String name)` Returns a counter.
    `Summary` | `getSummary(String name, MetricsContext.DetailLevel detailLevel)` Returns a summary.
    `SummarySet` | `getSummarySet(String name, MetricsContext.DetailLevel detailLevel)` Returns a set of summaries.
    `void` | `registerGauge(String name, Gauge gauge)` Registers an user provided `Gauge` which will be called by the MetricsProvider in order to sample an integer value.
    `void` | `unregisterGauge(String name)` Unregisters the user provided `Gauge` bound to the given name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final NullMetricsProvider.NullMetricsContext INSTANCE

  - ### Constructor Detail

    - #### NullMetricsContext

          public NullMetricsContext()

  - ### Method Detail

    - #### getContext

          public MetricsContext getContext(String name)

      Description copied from interface: `MetricsContext`
      Returns a sub context.
      Specified by:
        `getContext` in interface `MetricsContext`
      Parameters:
        `name` - the name of the subcontext
      Returns:
        a new metrics context.

    - #### getCounter

          public Counter getCounter(String name)

      Description copied from interface: `MetricsContext`
      Returns a counter.
      Specified by:
        `getCounter` in interface `MetricsContext`
      Returns:
        the counter identified by name in this context.

    - #### registerGauge

          public void registerGauge(String name,
                                    Gauge gauge)

      Description copied from interface: `MetricsContext`
      Registers an user provided `Gauge` which will be called by the MetricsProvider in order to sample an integer value. If another Gauge was already registered the new one will take its place. Registering a null callback is not allowed.
      Specified by:
        `registerGauge` in interface `MetricsContext`
      Parameters:
        `name` - unique name of the Gauge in this context
        `gauge` - the implementation of the Gauge

    - #### unregisterGauge

          public void unregisterGauge(String name)

      Description copied from interface: `MetricsContext`
      Unregisters the user provided `Gauge` bound to the given name.
      Specified by:
        `unregisterGauge` in interface `MetricsContext`
      Parameters:
        `name` - unique name of the Gauge in this context

    - #### getSummary

          public Summary getSummary(String name,
                                    MetricsContext.DetailLevel detailLevel)

      Description copied from interface: `MetricsContext`
      Returns a summary.
      Specified by:
        `getSummary` in interface `MetricsContext`
      Returns:
        the summary identified by name in this context.

    - #### getSummarySet

          public SummarySet getSummarySet(String name,
                                          MetricsContext.DetailLevel detailLevel)

      Description copied from interface: `MetricsContext`
      Returns a set of summaries.
      Specified by:
        `getSummarySet` in interface `MetricsContext`
      Returns:
        the summary identified by name in this context.

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.